## cdparanoiasrc cdparanoiasrc — Read audio from CD in paranoid mode |

## Synopsis

                        GstCdParanoiaSrc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSrc
                         +----GstPushSrc
                               +----GstCddaBaseSrc
                                     +----GstCdParanoiaSrc

## Implemented Interfaces

GstCdParanoiaSrc implements GstURIHandler.

## Properties

      "generic-device"           gchar*                : Read / Write
      "paranoia-mode"            GstCdParanoiaMode     : Read / Write
      "read-speed"               gint                  : Read / Write
      "search-overlap"           gint                  : Read / Write

## Signals

      "transport-error"                                : Run Last
      "uncorrected-error"                              : Run Last

## Description

## Synopsis

### Element Information

plugin | cdparanoia
author | Erik Walthinsen <omega@cse.ogi.edu>, Wim Taymans <wim@fluendo.com>
class | Source/File

### Element Pads

name | src
direction | source
presence | always
details | audio/x-raw-int, endianness=(int)1234, signed=(boolean)true, width=(int)16, depth=(int)16, rate=(int)44100, channels=(int)2

## Details

### GstCdParanoiaSrc

    typedef struct _GstCdParanoiaSrc GstCdParanoiaSrc;

The cdparanoia object structure.

## Property Details

### The `"generic-device"` property

      "generic-device"           gchar*                : Read / Write

Use specified generic scsi device.

Default value: NULL

### The `"paranoia-mode"` property

      "paranoia-mode"            GstCdParanoiaMode     : Read / Write

Type of checking to perform.

Default value: PARANOIA_MODE_FRAGMENT

### The `"read-speed"` property

      "read-speed"               gint                  : Read / Write

Read from device at specified speed.

Allowed values: >= -1

Default value: -1

### The `"search-overlap"` property

      "search-overlap"           gint                  : Read / Write

Force minimum overlap search during verification to n sectors.

Allowed values: [-1,75]

Default value: -1

## Signal Details

### The `"transport-error"` signal

    void                user_function                      (GstCdParanoiaSrc *cdparanoia,
                                                            gint              sector,
                                                            gpointer          user_data)       : Run Last

This signal is emitted whenever an error occurs while reading. CdParanoia will attempt to recover the data.

`cdparanoia` : | The CdParanoia instance
`sector` : | The sector number at which the error was encountered.
`user_data` : | user data set when the signal handler was connected.

### The `"uncorrected-error"` signal

    void                user_function                      (GstCdParanoiaSrc *cdparanoia,
                                                            gint              sector,
                                                            gpointer          user_data)       : Run Last

This signal is emitted whenever an uncorrectable error occurs while reading. The data could not be read.

`cdparanoia` : | The CdParanoia instance
`sector` : | The sector number at which the error was encountered.
`user_data` : | user data set when the signal handler was connected.